(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[      7529,        179]
NotebookOptionsPosition[      7102,        158]
NotebookOutlinePosition[      7434,        173]
CellTagsIndexPosition[      7391,        170]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoadNETAssembly", "[", 
  RowBox[{"\"\<Tinkerforge\>\"", ",", 
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.600175052949191*^9, 3.600175066601799*^9}, 
   3.600175102142559*^9, {3.6001753172765293`*^9, 3.600175317946432*^9}, {
   3.600500538026902*^9, 3.600500561851948*^9}, {3.600506097634747*^9, 
   3.600506099012146*^9}, 3.600506136278721*^9, {3.60060805238198*^9, 
   3.600608117803465*^9}, {3.600608826318905*^9, 3.600608826675346*^9}, 
   3.600685362498796*^9, {3.644060533316915*^9, 3.644060560834449*^9}, {
   3.644060866022726*^9, 3.644060869789783*^9}}],

Cell[BoxData[{
 RowBox[{"host", "=", "\"\<localhost\>\""}], "\n", 
 RowBox[{"port", "=", "4223"}], "\n", 
 RowBox[{
  RowBox[{"uid", "=", "\"\<XXYYZZ\>\""}], 
  RowBox[{"(*", 
   RowBox[{"Change", " ", "to", " ", "your", " ", "UID"}], "*)"}], "\n", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Create", " ", "IPConnection", " ", "and", " ", "device", " ", "object"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "=", 
  RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}], "\n", 
 RowBox[{"imu", "=", 
  RowBox[{"NETNew", "[", 
   RowBox[{"\"\<Tinkerforge.BrickIMUV2\>\"", ",", "uid", ",", "ipcon"}], 
   "]"}]}], "\n", 
 RowBox[{
  RowBox[{"ipcon", "@", 
   RowBox[{"Connect", "[", 
    RowBox[{"host", ",", "port"}], "]"}]}], "\n", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Callback", " ", "function", " ", "for", " ", "quaternion", " ", 
    "callback"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"QuaternionCB", "[", 
   RowBox[{"sender_", ",", "w_", ",", "x_", ",", "y_", ",", "z_"}], "]"}], ":=",
   "\[IndentingNewLine]", 
  RowBox[{"Print", "[", 
   RowBox[{"\"\<w: \>\"", "<>", 
    RowBox[{"ToString", "[", 
     RowBox[{"NumberForm", "[", 
      RowBox[{
       RowBox[{"N", "[", 
        RowBox[{"w", "/", "16383.0"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"10", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
    "\[IndentingNewLine]", "\"\<, x: \>\"", "<>", 
    RowBox[{"ToString", "[", 
     RowBox[{"NumberForm", "[", 
      RowBox[{
       RowBox[{"N", "[", 
        RowBox[{"x", "/", "16383.0"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"10", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
    "\[IndentingNewLine]", "\"\<, y: \>\"", "<>", 
    RowBox[{"ToString", "[", 
     RowBox[{"NumberForm", "[", 
      RowBox[{
       RowBox[{"N", "[", 
        RowBox[{"y", "/", "16383.0"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"10", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
    "\[IndentingNewLine]", "\"\<, z: \>\"", "<>", 
    RowBox[{"ToString", "[", 
     RowBox[{"NumberForm", "[", 
      RowBox[{
       RowBox[{"N", "[", 
        RowBox[{"z", "/", "16383.0"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"10", ",", "2"}], "}"}]}], "]"}], "]"}]}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"AddEventHandler", "[", 
   RowBox[{
    RowBox[{"imu", "@", "Quaternion"}], ",", "QuaternionCB"}], "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Set", " ", "period", " ", "for", " ", "quaternion", " ", "callback", " ", 
    "to", " ", "0.1", "s", " ", 
    RowBox[{"(", 
     RowBox[{"100", "ms"}], ")"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Note", ":", 
    RowBox[{
    "The", " ", "quaternion", " ", "callback", " ", "is", " ", "only", " ", 
     "called", " ", "every", " ", "0.1", " ", "seconds"}]}], "*)"}], "\n", 
  RowBox[{"(*", 
   RowBox[{
   "if", " ", "the", " ", "quaternion", " ", "has", " ", "changed", " ", 
    "since", " ", "the", " ", "last", " ", 
    RowBox[{"call", "!"}]}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"imu", "@", 
   RowBox[{"SetQuaternionPeriod", "[", "100", "]"}]}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Clean", " ", "up"}], "*)"}]}], "\n", 
 RowBox[{"ipcon", "@", 
  RowBox[{"Disconnect", "[", "]"}]}], "\n", 
 RowBox[{"ReleaseNETObject", "[", "imu", "]"}], "\n", 
 RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]}], "Input",
 CellChangeTimes->{{3.600075175574196*^9, 3.600075177574486*^9}, {
   3.600075518821967*^9, 3.60007554243471*^9}, {3.600075580562348*^9, 
   3.600075669308506*^9}, {3.600075705822371*^9, 3.600075921974015*^9}, {
   3.6000760067507343`*^9, 3.600076009622583*^9}, {3.600077792659996*^9, 
   3.600077795613958*^9}, {3.600077854705127*^9, 3.600077855342334*^9}, {
   3.600090981053762*^9, 3.6000909897413397`*^9}, {3.600091048393783*^9, 
   3.600091071325759*^9}, {3.6000911068928633`*^9, 3.6000911072763557`*^9}, {
   3.600091413237206*^9, 3.600091428847453*^9}, {3.600091480127982*^9, 
   3.60009150669311*^9}, {3.6000915673213387`*^9, 3.6000915678002653`*^9}, {
   3.600092307925643*^9, 3.600092314241997*^9}, {3.600149020784099*^9, 
   3.6001491107582273`*^9}, {3.600149174456699*^9, 3.6001491869018793`*^9}, {
   3.600161252329417*^9, 3.600161270517737*^9}, {3.6001751050299597`*^9, 
   3.6001752269913054`*^9}, {3.600175283111157*^9, 3.60017529631222*^9}, {
   3.600500425825809*^9, 3.6005004326356916`*^9}, {3.6005005658827868`*^9, 
   3.60050056667803*^9}, {3.600506021813815*^9, 3.6005060779666643`*^9}, {
   3.600506152278829*^9, 3.6005061727773933`*^9}, {3.600607963780426*^9, 
   3.6006080340220013`*^9}, {3.600608128817329*^9, 3.600608130481505*^9}, {
   3.60060817038931*^9, 3.600608171010838*^9}, 3.60060822412246*^9, {
   3.600608254252864*^9, 3.600608318404385*^9}, {3.600608504672563*^9, 
   3.6006085096134768`*^9}, {3.600608564485358*^9, 3.6006085694976482`*^9}, {
   3.6006086083315887`*^9, 3.600608696478737*^9}, {3.600608732817322*^9, 
   3.600608760452553*^9}, {3.600608824736239*^9, 3.600608825481593*^9}, 
   3.60060918655473*^9, {3.600609227515625*^9, 3.600609227953993*^9}, {
   3.6007712106765623`*^9, 3.600771226723548*^9}, {3.600771334518587*^9, 
   3.600771535293544*^9}, {3.600773176212331*^9, 3.6007731810087967`*^9}, {
   3.600775024665451*^9, 3.600775199577816*^9}, {3.644060142611086*^9, 
   3.644060228591543*^9}, {3.644060291707432*^9, 3.6440603202930927`*^9}, {
   3.6440605138044252`*^9, 3.64406052681618*^9}, {3.6440605914882193`*^9, 
   3.644060624819319*^9}, {3.6440606939483833`*^9, 3.644060811613452*^9}, {
   3.644060881417274*^9, 3.644060907031499*^9}, {3.6440612275523567`*^9, 
   3.644061229140922*^9}, {3.644122635229965*^9, 3.64412264709575*^9}, {
   3.652159606939967*^9, 3.652159614606875*^9}}]
},
WindowSize->{1521, 867},
WindowMargins->{{330, 67}, {50, Automatic}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[400, 13, 748, 13, 55, "Input"],
Cell[1151, 28, 5947, 128, 627, "Input"]
}
]
*)

