(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[      6022,        153]
NotebookOptionsPosition[      5594,        132]
NotebookOutlinePosition[      5927,        147]
CellTagsIndexPosition[      5884,        144]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoadNETAssembly", "[", 
  RowBox[{"\"\<Tinkerforge\>\"", ",", 
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.600175052949191*^9, 3.600175066601799*^9}, 
   3.600175102142559*^9, {3.6001753172765293`*^9, 3.600175317946432*^9}, {
   3.600500538026902*^9, 3.600500561851948*^9}, {3.600506097634747*^9, 
   3.600506099012146*^9}, 3.600506136278721*^9, {3.60060805238198*^9, 
   3.600608117803465*^9}, 3.600685373189396*^9}],

Cell[BoxData[{
 RowBox[{"host", "=", "\"\<localhost\>\""}], "\n", 
 RowBox[{"port", "=", "4223"}], "\n", 
 RowBox[{
  RowBox[{"uid", "=", "\"\<XXYYZZ\>\""}], 
  RowBox[{"(*", 
   RowBox[{"Change", " ", "to", " ", "your", " ", "UID"}], "*)"}], "\n", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Create", " ", "IPConnection", " ", "and", " ", "device", " ", "object"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "=", 
  RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}], "\n", 
 RowBox[{"stepper", "=", 
  RowBox[{"NETNew", "[", 
   RowBox[{"\"\<Tinkerforge.BrickStepper\>\"", ",", "uid", ",", "ipcon"}], 
   "]"}]}], "\n", 
 RowBox[{
  RowBox[{"ipcon", "@", 
   RowBox[{"Connect", "[", 
    RowBox[{"host", ",", "port"}], "]"}]}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"stepper", "@", 
   RowBox[{"SetMotorCurrent", "[", "800", "]"}]}], 
  RowBox[{"(*", 
   RowBox[{"800", "mA"}], "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"stepper", "@", 
   RowBox[{"SetStepMode", "[", "8", "]"}]}], 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"1", "/", "8"}], " ", "step", " ", "mode"}], "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"stepper", "@", 
   RowBox[{"SetMaxVelocity", "[", "2000", "]"}]}], 
  RowBox[{"(*", 
   RowBox[{"Velocity", " ", "2000", " ", 
    RowBox[{"steps", "/", "s"}]}], "*)"}], "\[IndentingNewLine]", "\n", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Slow", " ", "acceleration", " ", 
     RowBox[{"(", 
      RowBox[{"500", " ", 
       RowBox[{"steps", "/", 
        RowBox[{"s", "^", "2"}]}]}], ")"}]}], ","}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Fast", " ", "deacceleration", " ", 
    RowBox[{"(", 
     RowBox[{"5000", " ", 
      RowBox[{"steps", "/", 
       RowBox[{"s", "^", "2"}]}]}], ")"}]}], "*)"}]}], "\[IndentingNewLine]", 

 RowBox[{
  RowBox[{"stepper", "@", 
   RowBox[{"SetSpeedRamping", "[", 
    RowBox[{"500", ",", "5000"}], "]"}]}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"stepper", "@", 
   RowBox[{"Enable", "[", "]"}]}], 
  RowBox[{"(*", 
   RowBox[{"Enable", " ", "motor", " ", "power"}], "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"stepper", "@", 
   RowBox[{"SetSteps", "[", "60000", "]"}]}], 
  RowBox[{"(*", 
   RowBox[{"Drive", " ", "60000", " ", "steps", " ", "forward"}], "*)"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}], "\n", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Clean", " ", "up"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"stepper", "@", 
  RowBox[{"Disable", "[", "]"}]}], "\n", 
 RowBox[{"ipcon", "@", 
  RowBox[{"Disconnect", "[", "]"}]}], "\n", 
 RowBox[{"ReleaseNETObject", "[", "stepper", "]"}], "\n", 
 RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]}], "Input",
 CellChangeTimes->{{3.600075175574196*^9, 3.600075177574486*^9}, {
   3.600075518821967*^9, 3.60007554243471*^9}, {3.600075580562348*^9, 
   3.600075669308506*^9}, {3.600075705822371*^9, 3.600075921974015*^9}, {
   3.6000760067507343`*^9, 3.600076009622583*^9}, {3.600077792659996*^9, 
   3.600077795613958*^9}, {3.600077854705127*^9, 3.600077855342334*^9}, {
   3.600090981053762*^9, 3.6000909897413397`*^9}, {3.600091048393783*^9, 
   3.600091071325759*^9}, {3.6000911068928633`*^9, 3.6000911072763557`*^9}, {
   3.600091413237206*^9, 3.600091428847453*^9}, {3.600091480127982*^9, 
   3.60009150669311*^9}, {3.6000915673213387`*^9, 3.6000915678002653`*^9}, {
   3.600092307925643*^9, 3.600092314241997*^9}, {3.600149020784099*^9, 
   3.6001491107582273`*^9}, {3.600149174456699*^9, 3.6001491869018793`*^9}, {
   3.600161252329417*^9, 3.600161270517737*^9}, {3.6001751050299597`*^9, 
   3.6001752269913054`*^9}, {3.600175283111157*^9, 3.60017529631222*^9}, {
   3.600500425825809*^9, 3.6005004326356916`*^9}, {3.6005005658827868`*^9, 
   3.60050056667803*^9}, {3.600506021813815*^9, 3.6005060779666643`*^9}, {
   3.600506152278829*^9, 3.6005061727773933`*^9}, {3.600607963780426*^9, 
   3.6006080340220013`*^9}, {3.600608128817329*^9, 3.600608130481505*^9}, {
   3.60060817038931*^9, 3.600608171010838*^9}, {3.60060891170606*^9, 
   3.600608950204666*^9}, {3.6007711883172197`*^9, 3.600771205436049*^9}, {
   3.6007712369207897`*^9, 3.600771288619691*^9}, {3.600772211304221*^9, 
   3.600772221484435*^9}, {3.6007723658461933`*^9, 3.600772644346344*^9}, {
   3.600772773624936*^9, 3.600772774419779*^9}, {3.6007737863287163`*^9, 
   3.600773792040226*^9}, {3.600774172208235*^9, 3.600774251377511*^9}, {
   3.600774299705405*^9, 3.600774300046227*^9}, 3.6524222276759644`*^9, 
   3.652422284820607*^9}]
},
WindowSize->{1521, 867},
WindowMargins->{{226, 173}, {86, Automatic}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[400, 13, 602, 11, 55, "Input"],
Cell[1005, 26, 4585, 104, 605, "Input"]
}
]
*)

